Subject: Re:iSCSI A Question on "Full Feature Phase" of iSCSI 07

From: "Julian Satran" <[email-masked]>
Date: Thu, 23 Aug 2001 16:37:59 +0300

Thanu,

No name, default or otherwise, is required for the discovery session.
The text will be fixed to show this (the current was not completely aligned
with the naming and discovery team).
Only the type discovery is needed.

The name iSCSI is reserved.

Julo

Thanu Skariah <[email-masked]>@npd.hcltech.com on 23-08-2001
16:18:20

Please respond to Thanu Skariah <[email-masked]>

Sent by:  [email-masked]

To:   Julian Satran/Haifa/IBM@IBMIL
cc:   [email-masked]
Subject:  Re:iSCSI A Question on "Full Feature Phase" of iSCSI 07

Julian,

In the session of type discovery, the only command that can be  accepted by
a
target is a text command with a SendTargets key ( Appendix D, 34, page
167).

In  Appendix E. SendTargets operation, the second and third paragraphs say,

" To make use of SendTargets, an initiator must be logged into one of the
two
types of targets. If the initiator is logged into the deafault target
(target
name "iSCSI"), the only session type that it can be used is a discovery
session. If it logs into any other target, the session can be either a
discovery session or a normal operational session.
A system containing targets MUST support login to the default "iSCSI"
target,
and MUST support the SendTargets command for this target. "

Confused with your reply and this part in the 07 draft. Kindly clarify.

Thank You,
Thanu

Julian Satran wrote:

> There is no default target anymore. The default target has been replaced
by
> a session of type discovery in which you don't have to give a target
name.
>
> Julo
>
> "Lee Xing" <[email-masked]>@ece.cmu.edu on 21-08-2001 01:56:29
>
> Please respond to "Lee Xing" <[email-masked]>
>
> Sent by:  [email-masked]
>
> To:   <[email-masked]>
> cc:
> Subject:  A Question on "Full Feature Phase" of iSCSI 07
>
> Hi,
>
> On iSCSI 07 page 23 (section 1.2.5), it says "... A session is in full
> feature phase after successfully finishing the login phase on the first
> (leading) connection of a session. A connection is in full feature phase
> if the session in full feature phase and the connection login has
> completed successfully."
>
> I assume that the above statements are not true after logging into the
> default target "iSCSI", right?  If so, should we make them clearer?
>
> Thank you.
>
> Lee Xing
> Sr. Software Engineer
> Crossroads Systems, Inc.